Update Report Schedule
curl --request PUT \
--url https://{instance}.domo.com/api/content/v1/reportschedules/{scheduleId} \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"title": "Updated Monthly Sales Report",
"schedule": {
"frequency": "MONTHLY",
"daysToRun": "15",
"hourOfDay": 10,
"minOfHour": 30,
"timezone": "America/New_York",
"enabled": true
}
}
'import requests
url = "https://{instance}.domo.com/api/content/v1/reportschedules/{scheduleId}"
payload = {
"title": "Updated Monthly Sales Report",
"schedule": {
"frequency": "MONTHLY",
"daysToRun": "15",
"hourOfDay": 10,
"minOfHour": 30,
"timezone": "America/New_York",
"enabled": True
}
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Updated Monthly Sales Report',
schedule: {
frequency: 'MONTHLY',
daysToRun: '15',
hourOfDay: 10,
minOfHour: 30,
timezone: 'America/New_York',
enabled: true
}
})
};
fetch('https://{instance}.domo.com/api/content/v1/reportschedules/{scheduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123456,
"title": "Updated Monthly Sales Report",
"schedule": {
"frequency": "MONTHLY",
"daysToRun": "15",
"hourOfDay": 10,
"minOfHour": 30,
"timezone": "America/New_York",
"enabled": true,
"nextRunDate": 1701864600000
}
}Scheduled Reports API
Update Report Schedule
PUT
/
api
/
content
/
v1
/
reportschedules
/
{scheduleId}
Update Report Schedule
Authorizations
Path Parameters
ID of the schedule to update
Body
application/json
ReportScheduleInfo object
⌘I